### Method

# ECal ReminderWatcher dup_past

since: 3.30

#### Declaration [src]

    GSList*
    e_reminder_watcher_dup_past (
      EReminderWatcher* watcher
    )

#### Description [src]

Gathers a `GSList` of all past reminders which had not been removed after EReminderWatcher::triggered signal. Such reminders are remembered across sessions, until they are dismissed by `e_reminder_watcher_dismiss()` or its synchronous variant. These reminders can be also snoozed with e_reminder_watcher_snooze(), which removes them from the past reminders into the list of snoozed reminders, see e_reminder_watcher_dup_snoozed().

Free the returned `GSList` with g_slist_free_full (reminders, e_reminder_data_free); when no longer needed.

Available since: 3.30

#### Return value

Type: A list of `EReminderData*`

A newly allocated `GSList` of the past reminders, or `NULL`, when there are none.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.